package com.xmomen.module.base.entity.mapper;

import com.xmomen.framework.mybatis.mapper.MybatisMapper;
import com.xmomen.module.base.entity.CdCouponCategory;
import com.xmomen.module.base.entity.CdCouponCategoryExample;
import org.apache.ibatis.annotations.Param;

// 定义一个接口，继承MybatisMapper
public interface CdCouponCategoryMapper extends MybatisMapper {
    // 根据条件统计数量
    int countByExample(CdCouponCategoryExample example);

    // 根据条件删除
    int deleteByExample(CdCouponCategoryExample example);

    // 插入数据
    int insertSelective(CdCouponCategory record);

    // 根据条件更新数据
    int updateByExampleSelective(@Param("record") CdCouponCategory record, @Param("example") CdCouponCategoryExample example);
}